IE 5.0, you wound me